## groovy.time
Class DatumDependentDuration

author:
  John Wilson tug@wilson.co.uk

DatumDependentDuration represents durations whose length in milliseconds cannot be determined withou knowing the datum point.

I don't know how many days in a year unless I know if it's a leap year or not.

I don't know how many days in a month unless I know the name of the month (and if it's a leap yaer if the month is February)

Constructor Summary
`DatumDependentDuration(int years, int months, int days, int hours, int minutes, int seconds, int millis)`

Method Summary
`Date` | `getAgo()`
`From` | `getFrom()`
`int` | `getMonths()`
`int` | `getYears()`
`DatumDependentDuration` | `minus(DatumDependentDuration rhs)`
`DatumDependentDuration` | `minus(Duration rhs)`
`DatumDependentDuration` | `plus(DatumDependentDuration rhs)`
`DatumDependentDuration` | `plus(TimeDatumDependentDuration rhs)`
`DatumDependentDuration` | `plus(Duration rhs)`
`DatumDependentDuration` | `plus(TimeDuration rhs)`
`long` | `toMilliseconds()`

Constructor Detail

### DatumDependentDuration

    public DatumDependentDuration(int years, int months, int days, int hours, int minutes, int seconds, int millis)

Method Detail

### getAgo

    public Date getAgo()

### getFrom

    public From getFrom()

### getMonths

    public int getMonths()

### getYears

    public int getYears()

### minus

    public DatumDependentDuration minus(DatumDependentDuration rhs)

### minus

    public DatumDependentDuration minus(Duration rhs)

### plus

    public DatumDependentDuration plus(DatumDependentDuration rhs)

### plus

    public DatumDependentDuration plus(TimeDatumDependentDuration rhs)

### plus

    public DatumDependentDuration plus(Duration rhs)

### plus

    public DatumDependentDuration plus(TimeDuration rhs)

### toMilliseconds

    public long toMilliseconds()